Skip to content

List this tenant's verified-number registrations

GET
/v1/verified-numbers
curl --request GET \
--url 'https://api.vocapable.com/v1/verified-numbers?limit=50' \
--header 'Authorization: Bearer <token>'
limit
Limit
integer
default: 50 >= 1 <= 200
cursor
Any of:
string
status
Any of:
string

Filter on status. Comma-separated values are OR.

status.gte
Any of:
string

Filter on status with the gte operator.

status.lte
Any of:
string

Filter on status with the lte operator.

status.gt
Any of:
string

Filter on status with the gt operator.

status.lt
Any of:
string

Filter on status with the lt operator.

status.in
Any of:
string

Filter on status with the in operator.

Successful Response

Media typeapplication/json
CursorPage[VerifiedNumberSummary]
object
data
required
Data
Array<object>
VerifiedNumberSummary

A registration as its tenant sees it - the code and its hash are structurally absent.

object
id
required
Id
string
phone_e164
required
Phone E164
string
label
Any of:
string
status
required
Status
string
Allowed values: pending verified expired revoked
code_expires_at
Any of:
string format: date-time
verification_attempts
required
Verification Attempts
integer
verified_at
Any of:
string format: date-time
created_at
required
Created At
string format: date-time
next_cursor
Any of:
string
has_more
Has More
boolean
Example
{
"data": [
{
"status": "pending"
}
],
"has_more": false
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}